﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamgridHierarchalComboEditor
{

    public class CountyList : ObservableCollection<County>
    {
        public CountyList()
        {
            ObservableCollection<County> list = DataSource.Counties;
            foreach (County obj in list)
            {
                base.Add(obj);
            }
        }
    }

    public class County
    {
        int _cnt_Id;
        int _cnt_St_Id;
        string _cnt_Name;

        public County(int cnt_Id, int cnt_St_Id, string cnt_Name)
        {
            _cnt_Id = cnt_Id;
            _cnt_St_Id = cnt_St_Id;
            _cnt_Name = cnt_Name;
        }

        public int Cnt_Id
        {
            get { return _cnt_Id; }
            set { _cnt_Id = value; }
        }

        public int Cnt_St_Id
        {
            get { return _cnt_St_Id; }
            set { _cnt_St_Id = value; }
        }

        public string Cnt_Name
        {
            get { return _cnt_Name; }
            set { _cnt_Name = value; }
        }

    }

}
