﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamgridHierarchalComboEditor
{

    public class StateList : ObservableCollection<State>
    {
        public StateList()
        {
            ObservableCollection<State> list = DataSource.GetStateList();
            foreach (State obj in list)
            {
                base.Add(obj);
            }
        }
    }

    public class State
    {
        int _st_Id;
        string _st_Code;

        public State(int id, string code)
        {
            _st_Id = id;
            _st_Code = code;
        }

        public int St_Id
        {
            get { return _st_Id; }
            set { _st_Id = value; }
        }

        public string St_Code
        {
            get { return _st_Code; }
            set { _st_Code = value; }
        }
    }

}
