﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using Infragistics.Controls.Editors;

namespace XamgridHierarchalComboEditor
{
    public partial class MainPage : UserControl
    {



        Rows _list = new Rows();

        public MainPage()
        {
            InitializeComponent();
            InitializeGrid();



        }

        private void btnLoadGrid_Click(object sender, RoutedEventArgs e)
        {
            LoadGrid();
        }

        void LoadGrid()
        {
            _list.Add(new RowItem(1, 1, 1));
            _list.Add(new RowItem(2, 1, 2));
            _list.Add(new RowItem(3, 1, 3));
            _list.Add(new RowItem(4, 2, 5));
            _list.Add(new RowItem(5, 2, 6));

            xamGrid1.ItemsSource = _list;

        }


        void InitializeGrid()
        {
            xamGrid1.EditingSettings.AllowEditing = EditingType.Cell;
            xamGrid1.EditingSettings.IsOnCellActiveEditingEnabled = false;
            xamGrid1.EditingSettings.IsEnterKeyEditingEnabled = true;
            xamGrid1.EditingSettings.IsMouseActionEditingEnabled = MouseEditingAction.SingleClick;
            xamGrid1.IsAlternateRowsEnabled = true;
        }



        private void XamComboEditor_GotFocus(object sender, RoutedEventArgs e)
        {
            XamComboEditor comboEditor = sender as XamComboEditor;
            comboEditor.IsDropDownOpen = true;
        }




    }
}
